/*
 *  This file is part of the Peacs support package
 *
 *  Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
 *
 *  The Peacs Support package is free software: you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  The Peacs support classes are distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with the Peacs support package.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *    Project:              Peacs Support
 *    Qt version:           4.7.x
 *    Compiler:             QMake, MinGW, gcc 4.4.0
 *    Target platforms:     Windows, Mac OS-X
 *
 *    Subversion info:
 *
 *    $Id: PeacsSupport_global.cpp 544 2012-11-11 13:05:19Z eelco $
 *
 */


#include "PeacsSupport_global.h"

using namespace Peacs::Support;

//#define GET_STR(x) #x


PSupportInfo::PSupportInfo()
{
}


PSupportInfo::~PSupportInfo()
{
}


const char* PSupportInfo::getSupportVersionStr( void )
{
#ifdef SUPPORT_VERSION_STR
    return SUPPORT_VERSION_STR;     // must be specified in the project file (by including the PeacsSupportVersion.pri)
#else
    #pragma message( "WARNING: No version information found" )

    return "Undefined version";
#endif
}
