/*
 *  This file is part of the Peacs support package
 *
 *  Copyright (C) 2010 - 2012 Peacs (www.peacs.nl)
 *
 *  The Peacs Support package is free software: you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  The Peacs support classes are distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with the Peacs support package.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *    Project:              Peacs Support
 *    Qt version:           4.7.x
 *    Compiler:             QMake, MinGW, gcc 4.4.0
 *    Target platforms:     Windows, Mac OS-X
 *
 *    Subversion info:
 *
 *    $Id: PWidgetDefines.cpp 930 2013-11-27 18:56:36Z eelco $
 *
 */


#include <QObject>
#include "PWidgetDefines.h"


using namespace Peacs::Support::Widget;


/* Font definitions */
const char * Peacs::Support::Widget::FONTFAMILY( "Calibri" );


/* color definitions*/
const QColor Peacs::Support::Widget::LINECOLOR(              207,  203,  214 );
const QColor Peacs::Support::Widget::ZEROLINECOLOR(         0xFF, 0xFF, 0xFF );
const QColor Peacs::Support::Widget::ZEROLINECOLOR_PRINT(   0x28, 0x28, 0x28 ); // 3x 40 = donker grijs ( voorheen 0x10, 0x10, 0x10 )
const QColor Peacs::Support::Widget::DEFAULTGRAPHTEXTCOLOR(   47 ,  47,   47 );
const QColor Peacs::Support::Widget::GRIDCOLOR_DEFAULT(     0xE9, 0xE9, 0xFA );
const QColor Peacs::Support::Widget::GRIDCOLOR_PRINT(       0x6E, 0x6E, 0x6E ); // 3x 110 = licht grijs ( voorheen 0x10, 0xDA, 0x11 )
